/*
 * container.h
 *
 *  Created on: 26.5.2011
 *      Author: petr
 */

#ifndef CONTAINER_H_
#define CONTAINER_H_

#include <iostream>
#include <string>
#include <map>
#include <vector>
#include "../item/item.h"

using namespace std;

typedef map<string, Item*> GlobalContainer;
typedef vector<Item*> LocalContainer;

class Container {
protected:
	static GlobalContainer globalList;

	LocalContainer localList;

public:
	int objectLoads(string objectType, string id);

	static void insertGlobalObject(string objectType, string id, Item *object);

	void insertObject(Item *object);

	void truncateList();
};

#endif /* CONTAINER_H_ */
